package com.sky.ioc.service.meeting;

import com.sky.ioc.entity.domain.meeting.MeetingRecord;
import com.sky.ioc.entity.params.IocParam;
import com.sky.ioc.entity.params.IocTimeRange;
import com.sky.ioc.tool.ReturnMsg;

import java.util.List;
import java.util.Map;


public interface MeetingRecordService {


    Map queryMeetingTreeList(IocParam iocParam);

    List<MeetingRecord> queryMeetingList(IocParam iocParam);

    ReturnMsg getMeetingRecordList();


    ReturnMsg getMeetingRecordTotal(IocTimeRange timeRange);

    ReturnMsg getMeetingAnalysissTimes(IocTimeRange iocTimeRange);

    ReturnMsg getMeetingAnalysissPerson(IocTimeRange iocTimeRange);
    ReturnMsg getMeetingAnalysissMinutes(IocTimeRange iocTimeRange);

    ReturnMsg getMeetingCakeMinutes(IocTimeRange iocTimeRange);

    ReturnMsg getMeetingCakePerson(IocTimeRange iocTimeRange);


}
